List the drafts of the organization
curl --request GET \
--url https://api.investorlift.com/marketplace/v1/sell/drafts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/marketplace/v1/sell/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/sell/drafts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"status": "draft",
"asset_type": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"county": "<string>",
"place_id": "<string>",
"formatted_address": "<string>",
"latitude": 0,
"longitude": 0
},
"basics": {
"property_type": "single_family",
"beds": 50,
"baths": 50,
"half_baths": 50,
"sq_footage": 4503599627370495,
"year_built": 1900,
"parking_type": "attached_garage",
"lot_size": 1,
"lot_size_unit": "sqft"
},
"price": {
"asking_price": 4503599627370496,
"entry_fee": 4503599627370496,
"purchase_price": 4503599627370496,
"min_emd": 4503599627370495
},
"value": {
"arv_estimate": 4503599627370495,
"arv_is_override": true,
"condition": "FULL_GUT",
"repair_estimate_min": 4503599627370495,
"repair_estimate_max": 4503599627370495,
"repairs_stated_by_seller": true,
"repair_scope_description": "<string>",
"repair_scope_public": true
},
"description": "<string>",
"media": [
{
"id": "<string>",
"kind": "image",
"url": "<string>",
"filename": "<string>",
"size_bytes": 0,
"content_type": "<string>",
"order": 0,
"is_default": true
}
],
"documents": [
{
"id": "<string>",
"type": "<string>",
"filename": "<string>",
"size_bytes": 0,
"content_type": "<string>"
}
],
"contract": {
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 0,
"uploaded_at": "2023-11-07T05:31:56Z",
"extraction_confidence": "<string>",
"property_address": "<string>",
"purchase_price": 0
},
"disposition_manager_id": "<string>",
"ready_to_publish": true,
"incomplete_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "<string>",
"api_version": "<string>"
},
"page": {
"next_cursor": "<string>",
"limit": 123,
"returned": 123
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_parameter",
"title": "Parameter unusable",
"status": 400,
"code": "invalid_parameter",
"detail": "<string>",
"recovery": "Correct the query parameter the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#validation_failed",
"title": "Body failed validation",
"status": 422,
"code": "validation_failed",
"detail": "<string>",
"recovery": "Correct each field the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}Reference: sell
List the drafts of the organization
Reads the draft deals of the organization, newest first.
GET
/
sell
/
drafts
List the drafts of the organization
curl --request GET \
--url https://api.investorlift.com/marketplace/v1/sell/drafts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/marketplace/v1/sell/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/marketplace/v1/sell/drafts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"status": "draft",
"asset_type": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"county": "<string>",
"place_id": "<string>",
"formatted_address": "<string>",
"latitude": 0,
"longitude": 0
},
"basics": {
"property_type": "single_family",
"beds": 50,
"baths": 50,
"half_baths": 50,
"sq_footage": 4503599627370495,
"year_built": 1900,
"parking_type": "attached_garage",
"lot_size": 1,
"lot_size_unit": "sqft"
},
"price": {
"asking_price": 4503599627370496,
"entry_fee": 4503599627370496,
"purchase_price": 4503599627370496,
"min_emd": 4503599627370495
},
"value": {
"arv_estimate": 4503599627370495,
"arv_is_override": true,
"condition": "FULL_GUT",
"repair_estimate_min": 4503599627370495,
"repair_estimate_max": 4503599627370495,
"repairs_stated_by_seller": true,
"repair_scope_description": "<string>",
"repair_scope_public": true
},
"description": "<string>",
"media": [
{
"id": "<string>",
"kind": "image",
"url": "<string>",
"filename": "<string>",
"size_bytes": 0,
"content_type": "<string>",
"order": 0,
"is_default": true
}
],
"documents": [
{
"id": "<string>",
"type": "<string>",
"filename": "<string>",
"size_bytes": 0,
"content_type": "<string>"
}
],
"contract": {
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 0,
"uploaded_at": "2023-11-07T05:31:56Z",
"extraction_confidence": "<string>",
"property_address": "<string>",
"purchase_price": 0
},
"disposition_manager_id": "<string>",
"ready_to_publish": true,
"incomplete_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "<string>",
"api_version": "<string>"
},
"page": {
"next_cursor": "<string>",
"limit": 123,
"returned": 123
}
}{
"type": "https://developers.investorlift.com/marketplace/errors#invalid_parameter",
"title": "Parameter unusable",
"status": 400,
"code": "invalid_parameter",
"detail": "<string>",
"recovery": "Correct the query parameter the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#unauthorized",
"title": "Not authenticated",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"recovery": "Send a current access token for this API, and start a new authorization when the token is expired.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#designation_required",
"title": "Designation missing",
"status": 403,
"code": "designation_required",
"detail": "<string>",
"recovery": "Finish the onboarding of the side you call, then repeat the call.",
"request_id": "<string>",
"designation": "seller"
}{
"type": "https://developers.investorlift.com/marketplace/errors#method_not_allowed",
"title": "Method not allowed",
"status": 405,
"code": "method_not_allowed",
"detail": "<string>",
"recovery": "Use one of the methods the documentation lists for this path.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#validation_failed",
"title": "Body failed validation",
"status": 422,
"code": "validation_failed",
"detail": "<string>",
"recovery": "Correct each field the detail names, then repeat the call.",
"request_id": "<string>"
}{
"type": "https://developers.investorlift.com/marketplace/errors#origin_error",
"title": "Service unavailable",
"status": 503,
"code": "origin_error",
"detail": "<string>",
"recovery": "Repeat the call in a minute, and tell Investorlift support when the answer stays the same.",
"request_id": "<string>"
}Authorizations
Authorization code with PKCE. The person grants the scopes on the Investorlift consent page and accepts the Marketplace API Terms there.
Query Parameters
The next_cursor of the page before this one.
How many rows one page holds. 25 by default.
Required range:
1 <= x <= 100Was this page helpful?